Luniverse Developer
Luniverse Developer-eng
Search…
⌃K

Luniverse 2.0 Upgrade Guide

August 13, 2021, Luniverse 2.0 service launched.
Currently, the 1.0 service and the 2.0 service can be used simultaneously through 1.0 Console and 2.0 Console. However, the 1.0 service will be shut down soon. You can use the data that you have created in the 1.0 service without an upgrade in the 2.0 service. As of August 13, 2021, the launch of Luniverse 2.0, data has been migrated, so you can check it in both 1.0 and 2.0 services at the same time. We plan to migrate the added/modified/deleted data once more when the 1.0 service is terminated.
Along with the launch of 2.0 service, the API was also upgraded to 2.0. The 1.0 service and the 2.0 service use the same chain, but the service layer is newly developed with a new architecture. Therefore, the previously provided 1.0 or 1.1 APIs (MX, TX, BE) will be terminated with the end of the 1.0 service.
We added 1.5 API to allow you to use the existing API with minimal changes before the end of the service. 1.5 API operates in compatibility mode on 2.0 service. This guarantees operation only for data generated by the 1.0 service, and the API service may be terminated in the future. Because we implemented compatibility for the 1.0 or 1.1 API specifications, operation that was not in the specifications but was handled as an exception may not be compatible.
After the 1.0 service is terminated, you can use the 1.5 API for a certain period of time. Changing to the 2.0 API requires a bit more extra implementation.
Therefore, we recommend that you use Luniverse 1.5 API in compatibility mode and then completely change to 2.0 API later.
Please refer to the guide below to change the API: